#!/bin/sh

# This script should be called from connector_manager.sh, and accepts the following parameters:
#  start_myconnector.sh <CONNECTORNAME> <SERVERNAME> <OPTIONAL ADDITIONAL PARAMETERS>
#
#The file CWSharedEnv.sh defines the following in it's classpath, so there is no need to override any of these:
#Please go look at this file, on the solaris build, it is in the $CROSSWORLDS/setup directory.
#All of these are bundeled together into the CLASSPATH variable which is then exported for your use
#It defines things such as:
#CORECW
#RSA 
#CWUTILS 
#XML_PARSER 
#DATAHANDLERS 
#MQ 
#ORB1 
#ORB2 
#JVM_FLAGS 
#JRT 
#JAVA_SECURITY 
#WEBLOGIC 
#
################################################
# General connector variable initialization section
# No changes should be necessary
# set CONNECTOR_TYPE  -- This is needed to differentate Java from C++ conncetors 
# set CONDIR  the directory where the specific connector resides, then change to this directory
# set CONNAME the name to be the application connector that is starting
# set SERVER  the server name to be the interchange that is being targeted
# set CONJAR to the fullpath of the connector .jar file.

  
CONNAME=$1
SERVER=$2
. ${CROSSWORLDS}/bin/CWConnEnv.sh
echo $CWCLASSES
CONDIR=${CROSSWORLDS}/connectors/${CONNAME}

if [ "$OS" = "SUNOS" ]
then
	LD_LIBRARY_PATH=${CONDIR}:${LD_LIBRARY_PATH}
	export LD_LIBRARY_PATH
elif [ "$OS" = "HP-UX" ]
then
	SHLIB_PATH=${CONDIR}:${SHLIB_PATH}
	export SHLIB_PATH
else
	LIBPATH=${CONDIR}:${LIBPATH}
	export LIBPATH
fi

################################################
# Connector specific variable initialization section
# Set your Connector agent here 

#The following two sections tell the script what language the connector was written in,
# and help it make the correct calls. 
#Please enable one of the next sections

#For Java connector  
CONNECTOR_TYPE="-l"
CONNECTOR_AGENT=com.ibm.adapters.tcpip.TAAgent
CONJAR=${CONDIR}/BIA_TCPIP.jar


#End CAP

# Set any connector specific Variables here e.g.
#HEALTHCARE_DH_CLASSES=${CONDIR}/BIA_CWHealthcareDataHandler.jar
HEALTHCARE_DH_CLASSES=

# Set Conn specific classpath here 
#Any specific variables defined above need to be added to the CON_SPECIFIC_CLASSPATH below.
#CON_SPECIFIC_CLASSPATH=${HEALTHCARE_DH_CLASSES}
CON_SPECIFIC_CLASSPATH=

# Set any Connector specific start options here (Like -t or -fno etc.)
CON_START_OPTIONS=" "

# We are using the JVM_FLAGS that are aet in the CWSharedEnv.sh file, if you need to use different flags,
#  Change $JVM_FLAGS to be what you need to use.
# No changes should be necessary below this line.

CWCLASSES=${CWCLASSES}
CLASSPATH=${CONJAR}:${CON_SPECIFIC_CLASSPATH}:${CWCLASSES}
echo $CLASSPATH
${CROSSWORLDS}/bin/check_path.sh "$CLASSPATH"

if [ "${OS}" = "SUNOS" ]
then
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${LD_LIBRARY_PATH} -Djava.ext.dirs=${JRE_EXT_DIRS}  -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
elif [ "${OS}" = "HP-UX" ]
then
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${SHLIB_PATH}  -Djava.ext.dirs=${JRE_EXT_DIRS}  -classpath ${CLASSPATH} AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
else
exec ${CWJAVA} ${JVM_FLAGS} -Djava.library.path=${LIBPATH}  -Djava.ext.dirs=${JRE_EXT_DIRS}  -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS}  $3 $4 $5 $6 $7 $8 $9
fi
